#
# spec file for package gtk2-metatheme-nimbus
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name   nimbus
Name:           gtk2-metatheme-nimbus
Version:        0.1.7
Release:        14.2
Summary:        Nimbus Metatheme for GNOME
License:        LGPL-2.0-or-later
Group:          System/GUI/GNOME
URL:            https://nimbus.dev.java.net/
Source:         http://dlc.sun.com/osol/jds/downloads/extras/%{_name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM gtk2-metatheme-nimbus-fix-warning.patch vuntz@opensuse.org -- Fix trivial build warning
Patch0:         gtk2-metatheme-nimbus-fix-warning.patch
Source99:       baselibs.conf
BuildRequires:  fdupes
BuildRequires:  gtk2-devel
BuildRequires:  icon-naming-utils
BuildRequires:  intltool
Requires:       gtk2-engine-nimbus
Requires:       nimbus-icon-theme

%description
Nimbus is the name of a look-and-feel designed by Sun for the Java
Desktop System.

%package -n gtk2-engine-nimbus
Summary:        Nimbus GTK Theme Engine
Group:          System/GUI/GNOME
Recommends:     gtk2-metatheme-nimbus

%description -n gtk2-engine-nimbus
Nimbus is the name of a look-and-feel designed by Sun for the Java
Desktop System.

%package -n nimbus-icon-theme
Summary:        Nimbus Icon Theme
Group:          System/GUI/GNOME
Requires:       tango-icon-theme
Recommends:     gtk2-metatheme-nimbus
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description -n nimbus-icon-theme
Nimbus is the name of a look-and-feel designed by Sun for the Java
Desktop System.

%prep
%autosetup -n %{_name}-%{version} -p1

%build
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%if 0%{?suse_version} >= 1140
%icon_theme_cache_create_ghost nimbus
%endif
%fdupes %{buildroot}%{_datadir}/icons
%fdupes %{buildroot}%{_datadir}/themes

%if 0%{?suse_version} >= 1140
%post -n nimbus-icon-theme
%icon_theme_cache_post nimbus

# No need for %%icon_theme_cache_postun in %postun since the theme won't exist anymore
%endif

%files
%license COPYING
%doc AUTHORS ChangeLog
%{_datadir}/themes/nimbus
%{_datadir}/themes/dark-nimbus
%{_datadir}/themes/light-nimbus

%files -n gtk2-engine-nimbus
%{_libdir}/gtk-2.*/2.*.*/engines/libnimbus.so

%files -n nimbus-icon-theme
%if 0%{?suse_version} >= 1140
%ghost %{_datadir}/icons/nimbus/icon-theme.cache
%endif
%{_datadir}/icons/nimbus/

%changelog
* Thu Feb  8 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Prepare for RPM 4.20: use autosetup.
- Mention old baselibs.conf in spec file as source.
* Tue May  3 2011 vuntz@opensuse.org
- Update to version 0.1.7:
  + Rename administration-network-configuration to
    preferences-system-network
  + Add system-software-install.png
  + Various bug fixes
* Mon Oct 11 2010 vuntz@opensuse.org
- Update baselibs.conf to use gtk2-engine-nimbus instead of
  gtk2-theme-nimbus. Also add a Supplements to automatically
  install the engine when nimbus is installed on the system, as
  well as a biarch gtk2.
* Wed Aug 25 2010 vuntz@opensuse.org
- Use the %%icon_theme_cache_* macros to make sure the icon theme
  cache is created/updated.
* Thu Apr  1 2010 vuntz@opensuse.org
- Add gtk2-metatheme-nimbus-fix-warning.patch to fix a trivial
  build error.
* Fri Nov 13 2009 vuntz@opensuse.org
- Update to version 0.1.4:
  + fix for firefox default button
  * fix for firefox scroll
  * fix for gedit tab
  * make nimbus compile cleanly under mingw
  * added new nwam icons
- Make the package noarch.
* Fri Aug 28 2009 vuntz@novell.com
- Update to version 0.1.3:
  + add 48x48 version of the OpenSolaris logo
* Sun Jun 14 2009 vuntz@novell.com
- Clean up packaging and rename to gtk2-metatheme-nimbus, since
  it's really a metatheme.
- Update to 0.1.2:
  + new light-nimbus theme
* Mon Nov  3 2008 bwalle@suse.de
- Remove %%debug_package to fix build when debug information is
  enabled in the project configuration.
* Fri Oct 17 2008 bwalle@suse.de
- Update to 0.1.1.
* Wed Oct  8 2008 bwalle@suse.de
- Fix build on Factory (intltoolize -> manually linking).
* Sun Sep  7 2008 bwalle@suse.de
- merge Packman package and GNOME:Community package
  ('gtk2-engines-nimbus')
